export declare class ClozeParser {
    static toClozeRegions(input: string): ReadonlyArray<ClozeRegion>;
    static toRegions(input: string): ReadonlyArray<Region>;
    static regionsToText(regions: ReadonlyArray<Region>): string;
    private static matches;
}
export declare type RegionType = 'text' | 'cloze';
export interface Region {
    readonly offset: number;
    readonly length: number;
    readonly type: RegionType;
    readonly subtype: string;
    readonly text: string;
}
export interface TextRegion extends Region {
    readonly type: 'text';
}
export interface ClozeRegion extends Region {
    readonly type: 'cloze';
    readonly id: number;
    readonly text: string;
}
